ランタイム: Mix::Scene::ITerrainCollider Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::ITerrainCollider Class Referenceabstract

テラインコライダーインターフェース More...

`#include <ITerrainCollider.h>`

Inheritance diagram for Mix::Scene::ITerrainCollider:
[legend]
Collaboration diagram for Mix::Scene::ITerrainCollider:
[legend]

## Public Member Functions

virtual UInt32 | GetPartCount (void) const =0
| パート数を取得します More...
virtual UInt32 | GetPolygonCount (UInt32 partIndex) const =0
| ポリゴン数を取得します More...
virtual UInt32 | GetTotalPolygonCount (void) const =0
| 総ポリゴン数を取得します More...
virtual UInt32 | GetMaterialCount (void) const =0
| マテリアルの数を取得します More...
virtual UInt32 | GetMaterialIndex (UInt32 partIndex, UInt32 polygonIndex) const =0
| ポリゴンのマテリアルインデックスを取得します More...
virtual Boolean | SetMaterialIndex (UInt32 partIndex, UInt32 polygonIndex, UInt32 materialIndex)=0
| ポリゴンのマテリアルインデックスを設定します More...
virtual UInt32 | LockMaterialIndices (UInt32 partIndex, UInt32 polygonStartIndex, UInt32 polygonCount, UInt32 **ppMaterialIndices) const =0
| ポリゴンのマテリアルインデックス配列を取得します More...
virtual const Mix::Dynamics::MATERIAL & | GetMaterial (UInt32 index) const =0
| マテリアルを取得します More...
virtual Boolean | GetMaterial (UInt32 index, Mix::Dynamics::MATERIAL &material) const =0
| マテリアルを取得します More...
virtual const Mix::Dynamics::MATERIAL & | GetMaterial (UInt32 partIndex, UInt32 polygonIndex) const =0
| マテリアルを取得します More...
virtual Boolean | GetMaterial (UInt32 partIndex, UInt32 polygonIndex, Mix::Dynamics::MATERIAL &material) const =0
| マテリアルを取得します More...
virtual Boolean | SetMaterial (UInt32 index, const Mix::Dynamics::MATERIAL &material)=0
| マテリアルを設定します More...
virtual UInt32 | LockMaterials (UInt32 startIndex, UInt32 count, Mix::Dynamics::MATERIAL **ppMaterials) const =0
| マテリアル配列を取得します More...
virtual UInt16 | GetFilterGroup (void) const =0
| フィルターグループを取得します More...
virtual void | SetFilterGroup (UInt16 filterGroup)=0
| フィルターグループを設定します More...
virtual UInt16 | GetFilterMask (void) const =0
| フィルターマスクを取得します More...
virtual void | SetFilterMask (UInt16 filterMask)=0
| フィルターマスクを設定します More...
virtual Float32 | GetMargin (void) const =0
| 衝突マージンを取得します More...
virtual void | SetMargin (Float32 margin)=0
| 衝突マージンを設定します More...
Public Member Functions inherited from Mix::Scene::ICollider
virtual Boolean | IsDefault (void) const =0
| デフォルトかどうかを取得します More...
virtual Boolean | IsStatic (void) const =0
| スタティックかどうかを取得します More...
virtual Boolean | IsKinematic (void) const =0
| キネマティックかどうかを取得します More...
Public Member Functions inherited from Mix::Scene::IDynamicsObject
virtual Mix::Scene::IDynamicsObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | GetOwner (Mix::Scene::IRendererObject **ppOwner)=0
| オーナーを取得します More...
virtual Mix::Scene::IRendererObject * | GetOwnerPtr (void) const =0
| オーナーのポインタを取得します More...
virtual Mix::Matrix4x4 | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual Mix::Quaternion | GetWorldRotation (void) const =0
| ワールドの回転を取得します More...
virtual Mix::Vector3 | GetWorldPosition (void) const =0
| ワールドの位置を取得します More...
virtual Boolean | HasContactListener (void) const =0
| コンタクトリスナーを所持しているかどうかを取得します More...
virtual Boolean | ContainsContactListener (Mix::Scene::IContactListener *pListener) const =0
| 指定したコンタクトリスナーが存在しているかどうかを確認します More...
virtual Boolean | AddContactListener (Mix::Scene::IContactListener *pListener)=0
| コンタクトリスナーを追加します More...
virtual Boolean | RemoveContactListener (Mix::Scene::IContactListener *pListener)=0
| コンタクトリスナーを削除します More...
virtual void | ClearContactListener (void)=0
| 全てのコンタクトリスナーを削除します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~ITerrainCollider (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::ICollider
virtual | ~ICollider (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IDynamicsObject
virtual | ~IDynamicsObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IDynamicsObject
enum | TYPE { UNDEFINED = 0, SIMPLE_COLLIDER = 1, LIBERTY_COLLIDER = 2, ACTOR_COLLIDER = 3, TERRAIN_COLLIDER = 4, SIMPLE_SENSOR = 5, ACTOR_SENSOR = 6, SIMPLE_KINEMATIC_CHARACTER = 7, ACTOR_KINEMATIC_CHARACTER = 8 }
| タイプ列挙定数 More...

## Detailed Description

テラインコライダーインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::ITerrainCollider::~ITerrainCollider | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual UInt32 Mix::Scene::ITerrainCollider::GetPartCount | ( | void |  | ) | const

pure virtual

パート数を取得します

Returns
  パート数を返します

virtual UInt32 Mix::Scene::ITerrainCollider::GetPolygonCount | ( | UInt32 | partIndex | ) | const

pure virtual

ポリゴン数を取得します

Returns
  ポリゴン数を返します

virtual UInt32 Mix::Scene::ITerrainCollider::GetTotalPolygonCount | ( | void |  | ) | const

pure virtual

総ポリゴン数を取得します

Returns
  総ポリゴン数を返します

virtual UInt32 Mix::Scene::ITerrainCollider::GetMaterialCount | ( | void |  | ) | const

pure virtual

マテリアルの数を取得します

Returns
  マテリアルの数を返します

virtual UInt32 Mix::Scene::ITerrainCollider::GetMaterialIndex | ( | UInt32 | partIndex,
|  | UInt32 | polygonIndex
| ) |  | const

pure virtual

ポリゴンのマテリアルインデックスを取得します

Parameters

  [in] | partIndex | パートのインデックス
  [in] | polygonIndex | ポリゴンのインデックス

Returns
  ポリゴンのマテリアルインデックスを返します
  指定したポリゴンのインデックスが範囲外の場合は、常に 0xFFFFFFFF を返します

virtual Boolean Mix::Scene::ITerrainCollider::SetMaterialIndex | ( | UInt32 | partIndex,
|  | UInt32 | polygonIndex,
|  | UInt32 | materialIndex
| ) |  |

pure virtual

ポリゴンのマテリアルインデックスを設定します

Parameters

  [in] | partIndex | パートのインデックス
  [in] | polygonIndex | ポリゴンのインデックス
  [in] | materialIndex | マテリアルのインデックス

Returns
  成功した場合は True を返します

virtual UInt32 Mix::Scene::ITerrainCollider::LockMaterialIndices | ( | UInt32 | partIndex,
|  | UInt32 | polygonStartIndex,
|  | UInt32 | polygonCount,
|  | UInt32 ** | ppMaterialIndices
| ) |  | const

pure virtual

ポリゴンのマテリアルインデックス配列を取得します

Parameters

  [in] | partIndex | パートのインデックス
  [in] | polygonStartIndex | 取得を開始するポリゴンのインデックス
  [in] | polygonCount | 取得したいポリゴンの数
  [out] | ppMaterialIndices | ポリゴンのマテリアルインデックス配列

Returns
  実際に取得した数を返します

virtual const Mix::Dynamics::MATERIAL& Mix::Scene::ITerrainCollider::GetMaterial | ( | UInt32 | index | ) | const

pure virtual

マテリアルを取得します

Parameters

  [in] | index | インデックス

Returns
  マテリアルを表す Mix::Dynamics::MATERIAL 構造体を返します

Note
  インデックスが範囲外の場合はデフォルトのマテリアルを返します

virtual Boolean Mix::Scene::ITerrainCollider::GetMaterial | ( | UInt32 | index,
|  | Mix::Dynamics::MATERIAL & | material
| ) |  | const

pure virtual

マテリアルを取得します

Parameters

  [in] | index | 取得するインデックス
  [out] | material | 取得したマテリアルを渡す Mix::Dynamics::MATERIAL のアドレス

Returns
  成功した場合は True を返します

virtual const Mix::Dynamics::MATERIAL& Mix::Scene::ITerrainCollider::GetMaterial | ( | UInt32 | partIndex,
|  | UInt32 | polygonIndex
| ) |  | const

pure virtual

マテリアルを取得します

Parameters

  [in] | partIndex | パートのインデックス
  [in] | polygonIndex | ポリゴンのインデックス

Returns
  マテリアルを表す Mix::Dynamics::MATERIAL を返します

Note
  パート、ポリゴンのインデックスが範囲外の場合は初期値が返されます。

virtual Boolean Mix::Scene::ITerrainCollider::GetMaterial | ( | UInt32 | partIndex,
|  | UInt32 | polygonIndex,
|  | Mix::Dynamics::MATERIAL & | material
| ) |  | const

pure virtual

マテリアルを取得します

Parameters

  [in] | partIndex | パートのインデックス
  [in] | polygonIndex | ポリゴンのインデックス
  [out] | material | 取得したマテリアルを渡す

Returns
  取得に成功した場合は True を返します

virtual Boolean Mix::Scene::ITerrainCollider::SetMaterial | ( | UInt32 | index,
|  | const Mix::Dynamics::MATERIAL & | material
| ) |  |

pure virtual

マテリアルを設定します

Parameters

  [in] | index | 設定するインデックス
  [out] | material | 設定するマテリアルを表す Mix::Dynamics::MATERIAL 構造体のアドレス

Returns
  成功した場合は True を返します

virtual UInt32 Mix::Scene::ITerrainCollider::LockMaterials | ( | UInt32 | startIndex,
|  | UInt32 | count,
|  | Mix::Dynamics::MATERIAL ** | ppMaterials
| ) |  | const

pure virtual

マテリアル配列を取得します

Parameters

  [in] | startIndex | 取得を開始するインデックス
  [in] | count | 取得したい数
  [out] | ppMaterials | 取得したマテリアル配列を渡す Mix::Dynamics::MATERIAL 構造体のポインタのアドレス

Returns
  実際に取得した数を返します

virtual UInt16 Mix::Scene::ITerrainCollider::GetFilterGroup | ( | void |  | ) | const

pure virtual

フィルターグループを取得します

Returns
  フィルターグループを返します

virtual void Mix::Scene::ITerrainCollider::SetFilterGroup | ( | UInt16 | filterGroup | ) |

pure virtual

フィルターグループを設定します

Parameters

  [in] | filterGroup | フィルターグループ

Note
  初期値は ( Mix::Dynamics::OF_STATIC ) になります

virtual UInt16 Mix::Scene::ITerrainCollider::GetFilterMask | ( | void |  | ) | const

pure virtual

フィルターマスクを取得します

Returns
  フィルターマスクを返します

virtual void Mix::Scene::ITerrainCollider::SetFilterMask | ( | UInt16 | filterMask | ) |

pure virtual

フィルターマスクを設定します

Parameters

  [in] | filterMask | フィルターマスク

Note
  初期値は ( Mix::Dynamics::OF_DEFAULT | Mix::Dynamics::OF_KINEMATIC | Mix::Dynamics::OF_SENSOR | Mix::Dynamics::OF_CHARACTER | Mix::Dynamics::OF_DEBRIS ) になります

virtual Float32 Mix::Scene::ITerrainCollider::GetMargin | ( | void |  | ) | const

pure virtual

衝突マージンを取得します

Returns
  衝突マージンを返します

virtual void Mix::Scene::ITerrainCollider::SetMargin | ( | Float32 | margin | ) |

pure virtual

衝突マージンを設定します

Parameters

  [in] | margin | 衝突マージン

Note
  この値を高くすることによってめり込みにくくなります。
  ただし、高く設定しすぎると浮いたような状態になりますので注意してください。

The documentation for this class was generated from the following file:

- Mix/Scene/ITerrainCollider.h